* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

 :root {
    --primary-color: #9FC6CD;
    --secondary-color: #31343E;
}

body {
    font-family: Arial, Helvetica, sans-serif;
    color: rgb(6, 66, 87);
    background-color: #EDEEF6;
}


/* Apply styles to the header */

header {
    padding: 2px 35px 10px 0;
    background-color: var(--secondary-color);
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    top: 0;
    background-size: cover;
    background-position: fixed;
    background-position: 80%;
}

header h1 {
    font-weight: bold;
    font-size: 32px;
    margin: 10px 0 10px 0;
    padding: 1px 5px 1px 30px;
    align-items: flex-start;
    color: var(--primary-color);
}

header a:hover {
    color: red;
}

header a {
    text-decoration: none;
    color: var(--primary-color);
}

header nav {
    margin: 7px 5px 5px 5px;
}

header nav ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    list-style: none;
    margin-top: 5px;
}

header li a {
    border-bottom: 3px outset #9FC6CD;
}

header nav ul li a {
    padding: 10px 10px 5px 10px;
    font-weight: bold;
    color: var(--primary-color);
    margin: 0 5px;
}


/* Header styles End*/


/* Jumbo Style begin */

.jumbo {
    display: flex;
    flex-wrap: wrap;
    padding: 20px 35px;
    top: 0;
    height: 500px;
    background-image: url(../images/sun.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    background-position: 80%;
    width: 100%;
    margin-bottom: 20px;
}

.cool {
    display: flex;
    flex-wrap: wrap;
    font-size: 28px;
    color: rgb(240, 15, 15);
    font-weight: bold;
    align-items: flex-end;
    justify-content: flex-end;
    width: inherit;
}


/* Jumbo Style end */


/* About Me, Work, and Contact styles begin */

.section-title {
    display: inline-block;
    font-size: 32px;
    color: #465671;
    padding: 30px 15px 0 0;
    border-right: 3px solid;
    text-align: right;
    margin-bottom: 20px;
    width: 20%;
    flex-wrap: unset;
}


/* About Me, Work, and Contact styles end */


/* Bio area styles begin */

.flex-row {
    display: flex;
}

.bio-info {
    width: 80%;
    display: flex;
}

.main-content {
    display: flex;
    flex: 2;
    margin: 0 80px 20px 40px;
}

.container {
    display: flex;
    width: auto;
    align-content: center;
}

.container p {
    font-size: 20px;
    margin-left: 2em;
}

.container ul {
    display: flex;
    justify-content: space-around;
    list-style: none;
    margin-top: 5px;
    align-items: center;
}

.container ul li {
    padding-right: 20px;
}

.container ul li a {
    text-decoration: none;
    font-size: 20px;
    color: #465671;
    border-bottom: solid;
    padding-bottom: 5px;
    margin-left: 20px;
}

.container ul li a:hover {
    color: red;
}


/* Bio area styles begin */


/*Project and Grid Styles*/

.project-grid-wrapper {
    display: flex;
    width: 100%;
    justify-content: flex-start;
}

.project-grid-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 1fr);
    grid-gap: 10px;
    width: 100%;
    height: 500px;
    color: var(--secondary-color);
    grid-auto-flow: dense;
}

.project-grid-item {
    border: var(--primary-color);
    color: black;
    align-items: center;
}

.box1 {
    grid-column-start: 1;
    grid-column-end: 3;
    grid-row-start: 1;
    grid-row-end: 3;
    background-image: url(../images/5-day.jpg);
    background-size: cover;
    background-position: center;
}

.box2 {
    grid-column: 1 / span 1;
    grid-row: 3 / span 1;
}

.box3 {
    grid-column: 2 / span 1;
    grid-row: 3 / span 1;
}

.box4 {
    grid-column: 3 / span 1;
    grid-row: 1 / span 1;
}

.box5 {
    grid-column: 3 / span 1;
    grid-row: 2 / span 1;
}

.box1 a,
.box2 a,
.box3 a,
.box4 a,
.box5 a {
    text-decoration: none;
    display: block;
    width: 100%;
    height: 100%;
    padding: 5px 5px;
}

.box1 a:hover {
    background-color: rgba(23, 119, 221, 0.5);
}

.box2 a:hover {
    background-color: rgba(0, 25, 51, .5);
}

.box3 a:hover {
    background-color: rgba(23, 119, 221, 0.5);
}

.box4 a:hover {
    background-color: rgba(0, 25, 51, .5);
}

.box5 a:hover {
    background-color: rgba(0, 25, 51, .5);
}

.box2 {
    background-image: url(../images/movie-nights.jpg);
    background-position: center;
    background-size: cover;
}

.box3 {
    background-image: url(../images/work-day.jpg);
    background-position: center;
    background-size: cover;
}

.box4 {
    background-image: url(../images/code-quiz.jpg);
    background-position: center;
    background-size: cover;
}

.box5 {
    background-image: url(../images/password.jpg);
    background-position: center;
    background-size: cover;
}

.boxtext {
    color: var(--primary-color);
}


/* Media query list start */

@media only screen and (max-width:1024px) {
    .content {
        margin-top: 20px;
    }
    header {
        flex-direction: column;
        align-items: center;
        padding: 0,
    }
    header h1 {
        font-size: 32px;
        margin: 0;
        padding: 0;
        align-items: center;
    }
    header nav ul {
        margin-top: 30px;
        justify-content: center;
        width: 100%;
    }
    header nav ul li a {
        align-items: center;
        font-size: 2vw;
    }
    .container ul li a {
        font-size: 15px;
    }
}

@media only screen and (max-width:950px) {
    .content {
        margin-top: 20px;
    }
    header {
        justify-content: center;
        padding: 0,
    }
    header h1 {
        font-size: 32px;
        margin: 0;
        align-items: center;
        width: 100%;
    }
    header nav ul li a {
        margin-bottom: 20px;
        font-size: 4vw;
    }
    .jumbo {
        display: none;
    }
    .flex-row {
        flex-direction: column;
    }
    .bio-info {
        width: 100%;
    }
    .section-title {
        display: inline-block;
        font-size: 32px;
        color: #465671;
        padding: 30px 0;
        border-right: none;
        border-bottom: 3px solid #465671;
        text-align: center;
        justify-content: center;
        margin-bottom: 20px;
        width: 100%;
    }
}

@media only screen and (max-width:768px) {
    header nav {
        height: auto;
        margin: 0;
    }
    header nav ul {
        margin-top: 0;
        display: block;
    }
    header nav ul li {
        padding: 5px;
    }
    header nav ul li a {
        padding: 0;
        margin: 0;
        justify-content: center;
    }
    .bio-image {
        width: 100%;
        text-align: center;
        margin: 0;
        padding: 0;
    }
    .bio-image img {
        width: auto;
        height: 400px;
    }
    .container ul li a {
        font-size: 15px;
    }
}